<!doctype html>
<html>
  <head>
    <title>My Projects</title>
  </head>
  <body>
    <header>
      <nav>
          <ul>
              {% if user.is_authenticated %}
                  <li><a href="{% url 'show_my_tasks' %}">My tasks</a></li>
                  <li><a href="{% url 'list_projects' %}">My projects</a></li>
                  <li><a href="{% url 'logout' %}">Logout</a></li>
              {% else %}
                  <li><a href="{% url 'login' %}">Login</a></li>
                  <li><a href="{% url 'signup' %}">Signup</a></li>
              {% endif %}
          </ul>
      </nav>
  </header>
    <main>
      <div>
        <h1>My Projects</h1>
        <p>
          <a href="/projects/create/">Create a new project</a>
        </p>
        {% if projects %}

        {% for project in projects %}
        <table>
          <thead>
            <tr>
              <th>Name</th>
              <th>Number of tasks</th>
            </tr>
          </thead>
          <tbody>
            <tr>
              <td><a href="{% url 'show_project' project_id=project.id %}">{{ project.name }}</a></td>
              <td>{{ project.description }}</td>
              <td>{{ project.tasks.all|length }}</td>
            </tr>
          </tbody>
        </table>
        {% endfor %}
        {% else %}
        <p>You are not assigned to any projects</p>
        {% endif %}
    </div>
  </main>
</body>
</html>
